View Issue Details

IDProjectCategoryView StatusLast Update
0033415LazarusIDEpublic2018-03-27 21:30
ReporterAlexey Tor.Assigned ToMichl 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformlinux gtk2 x64OSOS Version
Product Version1.9 (SVN)Product Build 
Target Version1.8.4Fixed in Version1.9 (SVN) 
Summary0033415: IDE Menu Editor bug with wrong item height
DescriptionPicture show bug in menu editor: last 2 menuitems have wrong height: separator and usual item.
Steps To ReproduceHow to repeat:

- new app
- add MainMenu, 2 top items A,B
- in item B add 3 items N1, N2, N3
- close menu editor
- open again, after N3 add 2 menuitems w/o initing them
- in 1st of these 2 items, set caption "-" (separator)
- in 2nd of these items, set caption "DD"
TagsNo tags attached.
Fixed in Revision57569
LazTarget-
Widgetset
Attached Files

Activities

Alexey Tor.

2018-03-12 07:51

reporter  

menu-ide-bug.png (37,680 bytes)
menu-ide-bug.png (37,680 bytes)

Michl

2018-03-27 21:30

developer   ~0107440

Fixed in trunk. Please test and close if ok.

Issue History

Date Modified Username Field Change
2018-03-12 07:51 Alexey Tor. New Issue
2018-03-12 07:51 Alexey Tor. File Added: menu-ide-bug.png
2018-03-26 21:23 Michl Assigned To => Michl
2018-03-26 21:23 Michl Status new => assigned
2018-03-27 21:30 Michl Fixed in Revision => 57569
2018-03-27 21:30 Michl LazTarget => -
2018-03-27 21:30 Michl Note Added: 0107440
2018-03-27 21:30 Michl Status assigned => resolved
2018-03-27 21:30 Michl Fixed in Version => 1.9 (SVN)
2018-03-27 21:30 Michl Resolution open => fixed
2018-03-27 21:30 Michl Target Version => 1.8.4